<template>
  <div class="wrapper">
    <div>
      <v-btn
        class="btn-link"
        outlined
        color="#40394a"
        @click="emitThis('show-app-store-dialogue')"
      >
        <img src="../assets/app-store.png" alt="appstore" />
        <p class="fat-text-mobile">AppStore</p>
      </v-btn>
    </div>
    <div cols="6" class="pa-0">
      <v-btn
        class="btn-link"
        outlined
        color="#40394a"
        @click="emitThis('show-play-store-dialogue')"
      >
        <img src="../assets/play-store.png" alt="playstore" />
        <p class="fat-text-mobile">PlayStore</p>
      </v-btn>
    </div>
  </div>
</template>

<script>
export default {
  name: "AppLinks",
  props: {
    align: String,
    justify: String,
  },
  methods: {
    emitThis(event) {
      this.$emit(event, 0);
    },
  },
};
</script>

<style scoped>
.btn-link {
  height: 50px !important;
  border-width: 2px;
  border-radius: 15px;
  min-width: 150px !important;
}
p {
  margin: 5px;
  font-size: 12px !important;
}
img {
  height: 24px;
  margin: 3px;
}
.wrapper {
  display: flex;
  justify-content: space-between;
  margin: auto;
  max-width: 400px !important;
  min-width: 350px !important;
}
</style>
